bzimport set Reference to bz39911.
Platonides created this task.Via LegacySep 2 2012, 3:03 PM
Platonides added a comment.Via ConduitJan 26 2013, 10:49 PM

André, i don't mind that you put it as low priority, as long as it is fixed in the next 7 months.
Really, this should be a 10-minute fix for someone used to the javascript interface with wikitext.

Aklapper added a comment.Via ConduitJan 26 2013, 11:05 PM

Whether it takes 10 seconds or 10 days does not influence priority at all, that's rather severity. Patches highly welcome as that will certainly speed up progress.

Platonides added a comment.Via ConduitJan 26 2013, 11:18 PM

«should be fixed in the next 7 months» *is* priority. :)
(or it could be considered milestone, but we don't have one for that)

If someone goes for it tomorrow after seeing the "it's 10 minutes" comment, the better.

Nischayn22 added a comment.Via ConduitMar 14 2013, 6:57 AM

Platonides, could you explain the error better? I couldn't find the 'Mwe-upwiz-campaigns-wlm-it-id' message anywhere..

Also where are you seeing this? on Special:UploadCampaigns?

Aklapper added a comment.Via ConduitApr 11 2013, 1:54 PM

Platonides, could you answer comment 4, please?

Platonides added a comment.Via ConduitApr 11 2013, 3:09 PM

MediaWiki:Mwe-upwiz-campaigns-wlm-it-id was used in a campaign as the label for the monument identifier. In the linked version, it contained a link to the monument lists (it could also be a help page...). However, the wikitext was shown as plain, ie. the bare "[[" were shown to the user.
This bug requests that those links work.

yuvipanda added a comment.Via ConduitJul 9 2013, 7:08 PM

Any reason we can't just get rid of the entire 'page name' business and just have wikitext everywhere?

Platonides added a comment.Via ConduitJul 9 2013, 10:43 PM

That's perfectly fine for me. Feel free to duplicate this to a “use wikitext everywhere” bug.

yuvipanda added a comment.Via ConduitJul 10 2013, 12:11 AM

That breaks backwards compatibility, with the 'page' fields going away, and the label field itself being just parsed wikitext. Use {{int}} or similar for i18n

tomasz added a comment.Via ConduitJul 10 2013, 12:17 AM

I'm Tomasz W. Kozlowski and I approve this patch.

gerritbot added a comment.Via ConduitJul 10 2013, 12:57 AM

Change 72869 had a related patch set uploaded by Yuvipanda:
Enable use of wikitext in field labels

https://gerrit.wikimedia.org/r/72869

yuvipanda added a comment.Via ConduitJul 22 2013, 10:40 PM

Deployed on Commons today \o/

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:53 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.